Subject: Installation problems
From: "David A. Cobb" <[email-masked]>
To: Cygwin List <[email-masked]>
Date: Wed, 02 Aug 2000 07:42:24 -0400

Aside: after a bad week of finding one of at-home's mail routers on
the banned list, I'm back [I hope].

I installed cygwin using C:\ as root.  I observed the warning but,
after asking about it here I said "proceed anyway."

The progress display shows copying to "C:\\bin", etc.  Note the
double backslant.  Directories "/bin", "/usr/..." seem to be
populated correctly.

IT WOULD HAVE BEEN NICER IF "SETUP" checked the mount table from
HKLM & HKCU first and installed according to that.

During the install, I got multiple error messages of the form:
1) tar: error creating symlink C://usr/lib/mingwin -> mingwn32
2)      cannot find C://bin/g++.exe to link c++.exe to.

PS: THE ERROR MESSAGE BOX comes up hidden under the progress box.  I
thought the system was frozen and restarted three times before I
figured that one out.  You could maybe make it come up on top, or
change the size or location?  Tnx.

At the end of the install, error:

 Cannot open (null) for writing.

Cygwin.bat runs, and I've attached the cygcheck output; but do I
need to modify anything here?

[two minutes later . . .] AHA!
Something needs to be changed, my "HOME"=/home/superbiskit where I 
mount E:\HOME /home.  But my cygcheck output went to
E:\HOME\superbiskit\'\home\superbiskit\.

TIA
Dinosaur trying to adapt.

Cygnus Win95/NT Configuration Diagnostics
Current System Time: Tue Aug  1 13:48:35 2000

Win9X Ver 4.10 build 67766446  A 

Path:	/bin
	/usr/bin
	/usr/local/bin
	/WINDOWS
	/WINDOWS/COMMAND
	/WINDOWS
	/WINDOWS
	/WINDOWS/COMMAND
	/usr/bin
	/bin
	/usr/GNU/EMACS/BIN
	/PROGRA~1/CYGNUS/CYGWIN.B20/CYGWIN~1/H-I586~1/BIN
	/PROGRA~1/FUJITSU/POWERBSORT/PSORTOCX
	/PROGRA~1/FUJITSU/COBOL.V3R00/PCOBOL32
	/PROGRA~1/JAVASOFT/JRE/1.3/BIN
	/JDK1.3/BIN
	/LOCAL/DJGPP/BIN
	/PROGRA~1/NETWOR~1/PGPFRE~1
	/usr/WIN98SDK/BIN/
	/usr/WIN98SDK/BIN/WIN95

SysDir: C:\WINDOWS\SYSTEM
WinDir: C:\WINDOWS

CYGWIN = `'binmode''
HOME = `/home/Superbiskit/'/home/Superbiskit'/'/home/Superbiskit''
MAKE_MODE = `unix'
PWD = `/home/Superbiskit/'/home/Superbiskit''
USER = `superbiskit'

!C: = `C:\WINDOWS'
!E: = `E:\home\Superbiskit'
BASEMAKE = `E:\WIN98SDK\Include\BKOffice.Mak'
BKOFFICE = `E:\WIN98SDK\'
BLASTER = `A220 I5 D1 T4'
CMDLINE = `C:\bin\bash --login -i'
COBOLPATH = `C:\PROGRA~1\FUJITSU\POWERBSORT\PSORTOCX;C:\PROGRA~1\FUJITSU\COBOL.V3R00\PCOBOL32'
COMSPEC = `C:\WINDOWS\COMMAND.COM'
CYGWINPATH = `c:\PROGRA~1\CYGNUS\CYGWIN.B20\CYGWIN~1\H-I586~1\BIN'
DJGPP = `C:\LOCAL\DJGPP\DJGPP.ENV'
DJGPPATH = `C:\LOCAL\DJGPP\BIN'
DXSDKROOT = `E:\WIN98SDK\'
EMACSPATH = `C:\USR\GNU\EMACS\BIN'
HOSTNAME = `CX107788-A'
HOSTTYPE = `i586'
INCLUDE = `E:\WIN98SDK\Include\'
INETSDK = `E:\WIN98SDK\'
JDKPATH = `C:\PROGRA~1\Javasoft\JRE\1.3\bin;C:\JDK1.3\bin'
LIB = `E:\WIN98SDK\Lib\'
MACHTYPE = `i586-pc-cygwin'
MSSDK = `E:\WIN98SDK\'
MSTOOLS = `E:\WIN98SDK\'
OLDPWD = `/home/Superbiskit'
OSTYPE = `cygwin'
PGPPATH = `C:\PROGRA~1\NETWOR~1\PGPFRE~1'
PKTEMP = `D:\Temp\PKZip'
PROMPT = `$p$g'
PS1 = `]0;\w
[32m\u@\h [33m\w[0m
$ '
SDKPATH = `C:\USR\WIN98SDK\BIN\;C:\USR\WIN98SDK\BIN\win95'
SHELL = `/bin/sh'
SHLVL = `1'
TEMP = `D:\Temp'
TERM = `'CYGWIN''
TZ = `EST+5EDT'
WINBOOTDIR = `C:\WINDOWS'
WINDIR = `C:\WINDOWS'
_ = `/bin/cygcheck'

HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\Explorer\MenuOrder\Start Menu\&Programs\Cygnus Solutions
  (default) = (unsupported type)
HKEY_CURRENT_USER\Software\Cygnus Solutions
HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup
HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0
HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts
HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\00
  (default) = `C:\'
  unix = `/'
  fbinary = 0x00000000
  fsilent = 0x00000000
HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\01
  (default) = `C:\bin'
  unix = `/bin'
  fbinary = 0x00000000
  fsilent = 0x00000000
HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\02
  (default) = `C:\usr'
  unix = `/usr'
  fbinary = 0x00000000
  fsilent = 0x00000000
HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin
HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin\mounts v2
  (default) = `/X|'
  cygdrive flags = 0x00000020
HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin\Program Options
HKEY_LOCAL_MACHINE\Software\Microsoft\Windows\CurrentVersion\Uninstall\Cygnus Cygwin B20
  (default) = `C:\WINDOWS\IsUninst.exe -f"c:\program files\cygnus\cygwin.b20\cygwin-b20\Uninst.isu"'
  DisplayName = `Cygwin B20'
HKEY_LOCAL_MACHINE\Software\Cygnus Solutions
HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\Cygwin B20
HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\Cygwin B20\B20.1
HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\GNUPro
HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\GNUPro\i586-cygwin32
HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\GNUPro\i586-cygwin32\i586-cygwin32
HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\GNUPro\i586-cygwin32\i586-cygwin32\cygwin-B20.1
  (default) = `C:\bin'
HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL setup
HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0
HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts
HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\00
HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\01
HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\02
HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\03
HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\04
HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\05
HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\06
HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\07
HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\08
HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\09
HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\0A
HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\0B
HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\0C
HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\0D
HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\0E
HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\0F
HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\10
HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\11
HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\12
HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\13
HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\14
HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\15
HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\16
HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\17
HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\18
HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\19
HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\1A
HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\1B
HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\1C
HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\1D
HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\Cygwin
HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\Cygwin\mounts v2
HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\Cygwin\mounts v2\/
  (default) = `C:/'
  flags = 0x00000008
HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\Cygwin\mounts v2\/usr/bin
  (default) = `C:/usr/bin'
  flags = 0x00000008
HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\Cygwin\mounts v2\/usr/lib
  (default) = `C:/usr/lib'
  flags = 0x00000008
HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\Cygwin\mounts v2\/C|
  (default) = `C:/'
  flags = 0x00000008
HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\Cygwin\mounts v2\/D|
  (default) = 0x00000008
  native = `D:/'
HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\Cygwin\mounts v2\/E|
  (default) = 0x00000008
  native = `E:/'
HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\Cygwin\mounts v2\/bin
  (default) = 0x00000008
  native = `C:/bin'
HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\Cygwin\mounts v2\/CDROM1|
  (default) = 0x00000008
  native = `M:/'
HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\Cygwin\mounts v2\/tmp
  (default) = 0x00000008
  native = `D:/Temp/cygwin'
HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\Cygwin\mounts v2\/src
  (default) = 0x00000008
  native = `E:/SRC'
HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\Cygwin\mounts v2\/etc
  (default) = 0x00000008
  native = `E:/etc'
HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\Cygwin\mounts v2\/usr
  (default) = 0x00000008
  native = `C:/usr'
HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\Cygwin\mounts v2\/home
  (default) = `E:\HOME'
  flags = 0x00000008
HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\Cygwin\Installed Components
HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\Cygwin\Installed Components\C:/bin
  (default) = `20000517'
  bash = `0002.0004.0001'
  binutils = `19990818.0002'
  bison = `0000'
  byacc = `0000'
  bzip = `0000'
  clear = `0001.0000'
  crypt = `0001.0000'
  cygwin = `0001.0001.0002'
  dejagnu = `0000'
  diff = `0000'
  expect = `0000'
  fileutils = `0000'
  findutils = `0000'
  flex = `0000'
  gawk = `0003.0000.0004'
  gcc = `0002.0095.0002.0002'
  gdb = `20000610'
  gperf = `0000'
  grep = `0000'
  groff = `0001.011a.0001'
  gzip = `0000'
  inetutils = `0001.0003.0002.0004'
  less = `0000'
  libpng = `0001.0000.0006.0001'
  login = `0001.0003'
  m = `0000'
  make = `0003.0079.0002'
  man = `0001.005g.0002'
  opengl = `0001.0002.0001.0001'
  patch = `0000'
  sed = `0003.0002.0001'
  shellutils = `0000'
  tar = `0000'
  tcltk = `20000610'
  termcap = `20000618.0001'
  texinfo = `0000'
  textutils = `0000'
  time = `0000'
  zlib = `0001.0001.0003.0001'

a:  fd  FAT        1Mb   0% CP    UN           
c:  hd  FAT32   3853Mb  85% CP    UN           HP_PAVILION
d:  hd  FAT32    992Mb  60% CP    UN           WINSWAP
e:  hd  FAT32   3184Mb  89% CP    UN           COBB#0011
m:  cd  CDFS     557Mb 100%                    Audio CD

D:\Temp\cygwin  /tmp     system  textmode
C:\usr\bin  /usr/bin  system  textmode
C:\usr\lib  /usr/lib  system  textmode
E:\HOME  /home    system  textmode
C:\bin  /bin     system  textmode
E:\etc  /etc     system  textmode
E:\SRC  /src     system  textmode
C:\usr  /usr     system  textmode
C:    /        system  textmode
M:    /CDROM1|  system  textmode
C:    /C|      system  textmode
D:    /D|      system  textmode
E:    /E|      system  textmode

Found: C:\bin\bash.exe
Found: C:\bin\cat.exe
Found: C:\bin\cpp.exe
Found: C:\bin\find.exe
Found: C:\WINDOWS\COMMAND\find.exe
Warning: C:\bin\find.exe hides C:\WINDOWS\COMMAND\find.exe
Found: C:\bin\gcc.exe
Found: C:\bin\gdb.exe
Found: C:\bin\ld.exe
Found: C:\bin\ls.exe
Found: C:\bin\make.exe
Found: C:\bin\sh.exe

  575k 2000/06/07 C:\bin\cygwin1.dll - os=4.0 img=1.0 sys=4.0
                  "cygwin1.dll" v0.0 ts=2000/6/6 22:20
   83k 2000/06/11 C:\bin\cygitcl30.dll - os=4.0 img=1.0 sys=4.0
                  "cygitcl30.dll" v0.0 ts=2000/6/10 23:34
   35k 2000/06/11 C:\bin\cygitk30.dll - os=4.0 img=1.0 sys=4.0
                  "cygitk30.dll" v0.0 ts=2000/6/10 23:34
  402k 2000/06/11 C:\bin\cygtcl80.dll - os=4.0 img=1.0 sys=4.0
                  "cygtcl80.dll" v0.0 ts=2000/6/10 23:30
    5k 2000/06/11 C:\bin\cygtclpip80.dll - os=4.0 img=1.0 sys=4.0
   10k 2000/06/11 C:\bin\cygtclreg80.dll - os=4.0 img=1.0 sys=4.0
                  "cygtclreg80.dll" v0.0 ts=2000/6/10 23:30
  639k 2000/06/11 C:\bin\cygtk80.dll - os=4.0 img=1.0 sys=4.0
                  "cygtk80.dll" v0.0 ts=2000/6/10 23:34
Use -h to see help about each section

--
Want to unsubscribe from this list?
Send a message to [email-masked]